﻿using Trees;

List<int[]> InputData = Prufer.ReadFile("InputData.txt");
TreeNode Tree = Prufer.CreateTree(InputData);
List<int> Code = Prufer.CreateCode(Tree);
Prufer.PrintResult(Code);

List<int[]> inputData = Prufer.DecodePrufer("InputCode.txt");
Tree = Prufer.CreateTree(inputData);
Prufer.PrintTreeToFile(Tree, "OutputTree.txt");
